Bug 790525 - Review Request: rubygem-dynect_rest - Dynect REST API library
Summary: Review Request: rubygem-dynect_rest - Dynect REST API library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-14 18:46 UTC by Russell Harrison
Modified: 2014-12-19 13:29 UTC (History)
7 users (show)

Fixed In Version: rubygem-dynect_rest-0.4.0-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-28 09:56:40 UTC
johnp: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Russell Harrison 2012-02-14 18:46:20 UTC
Spec URL: http://rharrison.fedorapeople.org/package_review/rubygem-dynect_rest-0.4.0-1.spec
SRPM URL: http://rharrison.fedorapeople.org/package_review/rubygem-dynect_rest-0.4.0-1.fc16.src.rpm
Description: Ruby gem to use the Dynect services REST API

Comment 1 Russell Harrison 2012-02-14 18:54:00 UTC
I did forget to add this is my first package and I do need a sponsor.

Comment 2 Russell Harrison 2012-02-14 22:47:17 UTC
My original spec was written to build for f16 and el6 I've updated the spec / package to build properly under rawhide.

New URLs
Spec URL: http://rharrison.fedorapeople.org/package_review/rubygem-dynect_rest-0.4.0-1.fc18.spec
SRPM URL: http://rharrison.fedorapeople.org/package_review/rubygem-dynect_rest-0.4.0-1.fc18.src.rpm

The new spec / srpm passes the automated checks from 'fedora-review -v -n rubygem-dynect_rest' with the exception of rpmlint output.
http://rharrison.fedorapeople.org/package_review/rubygem-dynect_rest-0.4.0-1.fc18-rpmlint.out

Comments / questions I have on these warnings:

W: spelling-error Summary(en_US) Dynect -> Connect
Its the correct name of the service to which this gem communicates

Various unexpanded-macro warnings against file names in the gems doc dirs
I take it this is commonly seen with ruby gems.  If there is action I need to take to resolve it please let me know.

W: wrong-file-end-of-line-encoding /usr/share/gems/doc/dynect_rest-0.4.0/ri/cache.ri
Its a binary file so I'm not quite sure what is causing rpmlint to issue this warning.

Comment 3 John (J5) Palmieri 2012-02-14 23:06:32 UTC
> W: spelling-error Summary(en_US) Dynect -> Connect
> Its the correct name of the service to which this gem communicates

We can just wave that as a false positive

> Various unexpanded-macro warnings against file names in the gems doc dirs
> I take it this is commonly seen with ruby gems.  If there is action I need to
> take to resolve it please let me know.

Not sure, I'll take a look at it

> W: wrong-file-end-of-line-encoding
> /usr/share/gems/doc/dynect_rest-0.4.0/ri/cache.ri
> Its a binary file so I'm not quite sure what is causing rpmlint to issue this
> warning.

Binaries really shouldn't be in the doc directory. Do other packages have these cache files?  Rpmlint is just making sure things should be in their place and is pretty pedantic. Warnings are usually just things it thinks you should check.  If you can justify it then we can wave it.  I'll run this through review tomorrow.

Comment 4 Russell Harrison 2012-02-15 00:15:08 UTC
(In reply to comment #3)
> > Various unexpanded-macro warnings against file names in the gems doc dirs
> > I take it this is commonly seen with ruby gems.  If there is action I need to
> > take to resolve it please let me know.
> 
> Not sure, I'll take a look at it

Thanks I appreciate it.

> > W: wrong-file-end-of-line-encoding
> > /usr/share/gems/doc/dynect_rest-0.4.0/ri/cache.ri
> > Its a binary file so I'm not quite sure what is causing rpmlint to issue this
> > warning.
> 
> Binaries really shouldn't be in the doc directory. Do other packages have these
> cache files?  Rpmlint is just making sure things should be in their place and
> is pretty pedantic. Warnings are usually just things it thinks you should
> check.  If you can justify it then we can wave it.  I'll run this through
> review tomorrow.

Near as I can tell its generated by the gem install command for ruby 1.9. This file isn't created for my F16 / EPEL builds so I'm not sure if its to leave it in place or if I need to remove it in my install section. The guidelines on the wiki are still centred around ruby 1.8 and haven't been updated yet.

Comment 5 John (J5) Palmieri 2012-02-15 18:02:19 UTC
Here are the ruby specific reviews, I'll go over the general package review next:

* The Source of the package must be the full URL to the released Gem archive; the version of the package must be the Gem's version

Pass

* The package must have a Requires and a BuildRequires on rubygems

Pass

* The package must provide rubygem(%{gemname}) where gemname is the name from the Gem's specification. For every dependency on a Gem named gemdep, the package must contain a Requires on rubygem(%{gemdep}) with the same version constraints as the Gem

Pass

* The %prep and %build sections of the specfile should be empty.

Pass

* The Gem must be installed into %{gemdir} defined as 
  %global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)

Pass

* The install should be performed with the command
  gem install --local --install-dir %{buildroot}%{gemdir} --force %{SOURCE0}

Fail - please fix the cp lines to use gem install or justify why gem install does not work


* The package must own the following files and directories: 
  %{gemdir}/gems/%{gemname}-%{version}/
  %{gemdir}/cache/%{gemname}-%{version}.gem
  %{gemdir}/specifications/%{gemname}-%{version}.gemspec


Fail - you exclude %{gemdir}/cache/%{gemname}-%{version}.gem
    
* If the Gem only contains pure Ruby code, it must be marked as BuildArch: noarch.

Pass


Please fix all the MUST items.  Fix or justify why we should wave the SHOULD items.

Comment 6 Russell Harrison 2012-02-15 19:47:45 UTC
(In reply to comment #5)
John,

I've updated the package to resolve the issues you've pointed out.

Here are the links to the update spec and srpm.

Spec URL: http://rharrison.fedorapeople.org/package_review/rubygem-dynect_rest-0.4.0-2.fc18.spec
SRPM URL: http://rharrison.fedorapeople.org/package_review/rubygem-dynect_rest-0.4.0-2.fc18.src.rpm

Comment 7 John (J5) Palmieri 2012-02-15 21:30:06 UTC
MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]


rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/rubygem-dynect_rest-0.4.0-2.fc18.noarch.rpm 
rubygem-dynect_rest.noarch: W: spelling-error Summary(en_US) Dynect -> Connect

 Waved - false positive - Dynect is the package name and not a word in itself
 
rubygem-dynect_rest.noarch: W: invalid-url URL: http://github.com/adamhjk/dynect_rest <urlopen error [Errno 104] Connection reset by peer>

 Waved - I manually checked this and it works

rubygem-dynect_rest.noarch: W: unexpanded-macro /usr/share/gems/doc/dynect_rest-0.4.0/ri/DynectRest/Resource/%5b%5d%3d-i.ri %5b
rubygem-dynect_rest.noarch: W: unexpanded-macro /usr/share/gems/doc/dynect_rest-0.4.0/ri/DynectRest/Resource/%5b%5d%3d-i.ri %5d
rubygem-dynect_rest.noarch: W: unexpanded-macro /usr/share/gems/doc/dynect_rest-0.4.0/ri/DynectRest/Resource/%5b%5d%3d-i.ri %3d
rubygem-dynect_rest.noarch: W: unexpanded-macro /usr/share/gems/doc/dynect_rest-0.4.0/ri/DynectRest/Resource/%5b%5d-i.ri %5b
rubygem-dynect_rest.noarch: W: unexpanded-macro /usr/share/gems/doc/dynect_rest-0.4.0/ri/DynectRest/Resource/%5b%5d-i.ri %5d

 All waved - doc files used by ruby doc tools

rubygem-dynect_rest.noarch: W: wrong-file-end-of-line-encoding /usr/share/gems/doc/dynect_rest-0.4.0/ri/cache.ri

 waved - doc file used by doc tool

1 packages and 0 specfiles checked; 0 errors, 8 warnings.


Passed


MUST: The package must be named according to the Package Naming Guidelines .

Passed

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .

Passed

MUST: The package must meet the Packaging Guidelines

Passed

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

Passed ASL 2.0

MUST: The License field in the package spec file must match the actual license. [3]

Passed

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]

Passed

MUST: The spec file must be written in American English. [5]

Passed

MUST: The spec file for the package MUST be legible. [6]

Passed

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

Passed

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]

Passed - build in mock

MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]

Passed - noarch

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

Passed

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]

Passed

MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]

N/A - noarch

MUST: Packages must NOT bundle copies of system libraries.[11]

Passed

MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]

Passed

MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]

Passed

MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]

Passed

MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]

Passed

MUST: Each package must consistently use macros. [16]

Passed

MUST: The package must contain code, or permissable content. [17]

Passed

MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]

Needs Work - add a doc subpackage

MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]

Passed

MUST: Static libraries must be in a -static package. [19]

N/A - noarch

MUST: Development files must be in a -devel package. [20]

N/A - no devel files

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]

N/A - no devel files

MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[19]

N/A - noarch

MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]

N/A - not a GUI package

MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]

Passed 

MUST: All filenames in rpm packages must be valid UTF-8. [24]

Passed


Fix the doc subpackage and you are good to go

Comment 9 John (J5) Palmieri 2012-02-15 22:02:04 UTC
looks good

Passes review

Comment 10 John (J5) Palmieri 2012-02-15 22:03:29 UTC
Woops, you need to set fedora-cvs to ? and add the correct comments so the git tree can be created

Comment 11 Russell Harrison 2012-02-16 02:59:38 UTC
New Package SCM Request
=======================
Package Name: rubygem-dynect_rest
Short Description: Ruby gem to use the Dynect services REST API
Owners: rharrison
Branches: f16 el6
InitialCC:

Comment 12 Vít Ondruch 2012-02-16 09:14:10 UTC
Could you please execute the test suite for the package? Thank you.

Comment 13 Gwyn Ciesla 2012-02-16 13:25:02 UTC
Git done (by process-git-requests).

Added f17.

Comment 14 Fedora Update System 2012-02-16 23:03:02 UTC
rubygem-dynect_rest-0.4.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rubygem-dynect_rest-0.4.0-3.fc16

Comment 15 Fedora Update System 2012-02-16 23:09:07 UTC
rubygem-dynect_rest-0.4.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rubygem-dynect_rest-0.4.0-3.el6

Comment 16 Fedora Update System 2012-02-17 20:06:18 UTC
rubygem-dynect_rest-0.4.0-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 17 Fedora Update System 2012-02-28 09:56:40 UTC
rubygem-dynect_rest-0.4.0-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 18 Fedora Update System 2012-03-06 07:04:51 UTC
rubygem-dynect_rest-0.4.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 19 Troy Dawson 2014-12-18 23:33:10 UTC
Package Change Request
======================
Package Name: rubygem-dynect_rest
New Branches: epel7
Owners: tdawson

Comment 20 Gwyn Ciesla 2014-12-19 13:29:35 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.